Modules | Alphabetical List | Class List | Directories | File List | GIL Home Page

# is_iterator_adaptor Struct Template Reference

`#include <pixel_iterator.hpp>`

## Detailed Description

### template<typename It>
struct boost::gil::is_iterator_adaptor< It >

metafunction predicate determining whether the given iterator is a plain one or an adaptor over another iterator. Examples of adaptors are the step iterator and the dereference iterator adaptor.

The documentation for this struct was generated from the following file:

- pixel_iterator.hpp